Bug 961113 - Need some method for validating certificates used for PKINIT
Need some method for validating certificates used for PKINIT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 16:13 EDT by Nalin Dahyabhai
Modified: 2016-07-19 06:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:11:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 383601 None None None Never

  None (edit)
Description Nalin Dahyabhai 2013-05-08 16:13:33 EDT
Description of problem:
The Kerberos PKINIT support was written to use OpenSSL for generating and consuming PKCS7/CMS messages which are used in PKINIT.  As part of ongoing efforts, we contributed additional code to allow it to be built with NSS instead.

When we test with it, however, our attempts to verify certificates using NSS_CMSSignedData_VerifySignerInfo() have to specify (as the certusage argument) that they are the certificates of TLS clients and servers.  As a temporary or test solution that's acceptible, but because RFC4556 doesn't require that PKINIT certificates also be TLS certificates, there are going to be certificates "in the wild" that an OpenSSL-using build can accept that an NSS-using build can't.

It looks like we need a way to have NSS manage trust levels for CAs which issue PKINIT clients and servers, in parallel to the way it manages trust levels for CAs which issue TLS or email certificates.
Comment 1 Nalin Dahyabhai 2013-05-08 16:14:27 EDT
This was previously filed upstream, but we're adding this one here to make tracking it easier.
Comment 2 Fedora End Of Life 2015-01-09 13:04:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jaroslav Reznik 2015-03-03 09:55:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:11:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.